#ifndef LLOG
#define LLOG

// Enables or disable the log state
// It increases performances and then you can choose to enable && disable logging during execution
// s==1 => enabled
// s==0 => disabled
void ll_set_state(int s);

// With this function you can copy the state somewhere, and restore it after modifications
int ll_get_state();

// Display a message in the log stream
// you can add \n to start an new line ^^
void ll_send(const char * txt);

// Put the 8 last lines of the stream
void ll_display();

// Enable log displaying on panic
void ll_set_panic();

// Display log, enable scrolling, and waits the user to press Exit
void ll_pause();

// Clear log
void ll_clear();

void ll_set_lenght();

#endif
